Bug 680792 - logrotate: Incorrect flags used for truncating of original log file in copytruncate mode (arbitrary file system truncation via symlink / hardlink attacks)
Summary: logrotate: Incorrect flags used for truncating of original log file in copytr...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-27 19:31 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-11 06:31:30 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-02-27 19:31:37 UTC
It was found that logrotate utility used incorrect flags for truncation
of the original log file in place after creating a copy (copytruncate mode).
A local attacker could use this flaw to truncate arbitrary system file
(if the logrotate utility was run under privileged user account, root)
by performing symlink or hardlink attacks.


Note You need to log in before you can comment on or make changes to this bug.